Description

It seems that we call that method, even if it was added only the to MS implementation

Failed to delete the DHCP record: undefined method "loadRecordOptions'
ISC

for 127.0.0.1:Proxy::DHCP::

Associated revisions

Revision 534f1cba - 08/09/2011 07:04 AM - Paul Kelly
Fixes #1094 - ISC loadRecordOptions call

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 08/08/2011 04:01 AM - Ohad Levy
- Priority changed from Normal to High

changing to high, as this blocks quite a few operations via the Ul (edit, delete etc)

#2 - 08/08/2011 07:10 AM - Paul Kelly
- Status changed from New to Feedback

- Assignee changed from Paul Kelly to Ohad Levy

The ISC server loads the reservation's IP and MAC into the option hash at record initialization. The loadRecordOptions call is made thus
"@options||loadRecordOptions". It is unclear to me how the @options variable can ever be empty unless the options parser is failing in some way.
Would it be possible to get a copy of the scope's data? Do you know the sequence of operations that caused the error/ Was is a delete or a rollback

or some unusual mechanism?

| can easily add a ISC#loadRecordOptions method that returns {} but this may not fix the fundamental problem.

#3 - 08/09/2011 07:19 AM - Paul Kelly
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Applied in changeset 534f1cba211367fa2f0d1fc8497a392801cbe32c.

05/12/2024

1/1



mailto:paul.ian.kelly@googlemail.com
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/534f1cba211367fa2f0d1fc8497a392801cbe32c
http://www.tcpdf.org

